<div class="overlay">
  <div class="inventory" *ngIf="isInventoryScreen">
    <div class="btn treasure-btn" (click)="clickTreasureBtn()">Go to Parts</div>
    <h2>INVENTORY</h2>
    <div *ngIf="minerData" class="card-container">
      <app-inventory-card
        *ngFor="let item of itemList"
        [item]="item"
        [inventoryItemQuantity]="inventoryItems.get(item.name)"
      ></app-inventory-card>
    </div>

    <div class="exit-btn" (click)="clickToExit()">x</div>

    <app-loading class="loading-component" *ngIf="isLoading"></app-loading>
  </div>

  <div class="treasure" *ngIf="!isInventoryScreen">
    <div class="btn treasure-btn" (click)="clickInventoryBtn()">
      Go to Inventory
    </div>
    <h2>ROBOT PARTS</h2>
    <div *ngIf="minerData" class="card-container">
      <app-inventory-card
        *ngFor="let findable of findableList"
        [findable]="findable"
        [inventoryItemQuantity]="findableItems.get(findable.name)"
      ></app-inventory-card>
    </div>

    <div class="exit-btn" (click)="clickToExit()">x</div>
  </div>

  <app-loading class="loading-component" *ngIf="isLoading"></app-loading>
</div>
